// Ionic Starter App

// angular.module is a global place for creating, registering and retrieving Angular modules
// 'starter' is the name of this angular module example (also set in a <body> attribute in index.html)
// the 2nd parameter is an array of 'requires'
// 'starter.services' is found in services.js
// 'starter.controllers' is found in controllers.js
angular.module('starter', ['ionic', 'starter.controllers', 'starter.services'])

.run(function($ionicPlatform) {
  $ionicPlatform.ready(function() {
    // Hide the accessory bar by default (remove this to show the accessory bar above the keyboard
    // for form inputs)
    if (window.cordova && window.cordova.plugins.Keyboard) {
      cordova.plugins.Keyboard.hideKeyboardAccessoryBar(true);
    }
    if (window.StatusBar) {
      // org.apache.cordova.statusbar required
      StatusBar.styleDefault();
    }
  });
})

.config(function($stateProvider, $urlRouterProvider) {

  // Ionic uses AngularUI Router which uses the concept of states
  // Learn more here: https://github.com/angular-ui/ui-router
  // Set up the various states which the app can be in.
  // Each state's controller can be found in controllers.js
  $stateProvider

  // setup an abstract state for the tabs directive
    .state('tab', {
    url: "/tab",
    abstract: true,
    templateUrl: "templates/tabs.html"
  })
  
  .state('home', {
    url: "/home",
    abstract: true,
    templateUrl: "templates/home.html"
  })
  
  .state('home.dash', {
    url: '/dash',
    views: {
      'home-dash': {
        templateUrl: 'templates/home-dash.html',
        controller: 'DashCtrl'
      }
    }
  })

  // Each tab has its own nav history stack:

  .state('tab.dash', {
    url: '/dash',
    views: {
      'tab-dash': {
        templateUrl: 'templates/tab-dash.html',
        controller: 'ShareActionCtrl'
      }
    }
  })
  
  .state('tab.dash-detail2', {
    url: '/dash-detail2',
    views: {
      'tab-dash': {
        templateUrl: 'templates/dash-detail2.html',
        controller: 'DashCtrl'
      }
    }
  })
  
  .state('tab.dash-detail3', {
    url: '/dash-detail3',
    views: {
      'tab-dash': {
        templateUrl: 'templates/dash-detail3.html',
        controller: 'DashCtrl'
      }
    }
  })
  
  .state('tab.dash1', {
    url: '/dash1',
    views: {
      'tab-dash': {
        templateUrl: 'templates/tab-dash1.html',
        controller: 'DashCtrl'
      }
    }
  })

  .state('tab.chats', {
      url: '/chats',
      views: {
        'tab-chats': {
          templateUrl: 'templates/tab-chats.html',
          controller: 'ChatsCtrl'
        }
      }
    })
    .state('tab.chat-detail', {
      url: '/chats/:chatId',
      views: {
        'tab-chats': {
          templateUrl: 'templates/chat-detail.html',
          controller: 'ChatDetailCtrl'
        }
      }
    })

  .state('tab.friends', {
      url: '/friends',
      views: {
        'tab-friends': {
          templateUrl: 'templates/tab-friends.html',
          controller: 'FriendsCtrl'
        }
      }
    })
    .state('tab.friend-detail', {
      url: '/friend-detail',
      views: {
        'tab-friends': {
          templateUrl: 'templates/friend-detail.html',
          controller: 'DashCtrl'
        }
      }
    })
    
     .state('tab.friend-detail2', {
      url: '/friend-detail2',
      views: {
        'tab-friends': {
          templateUrl: 'templates/friend-detail2.html',
          controller: 'DashCtrl'
        }
      }
    })
    
     .state('tab.friend-detail3', {
      url: '/friend-detail3',
      views: {
        'tab-friends': {
          templateUrl: 'templates/friend-detail3.html',
          controller: 'DashCtrl'
        }
      }
    })
    
    .state('tab.friend-detail4', {
      url: '/friend-detail4',
      views: {
        'tab-friends': {
          templateUrl: 'templates/friend-detail4.html',
          controller: 'DashCtrl'
        }
      }
    })
    
    .state('tab.friend-detail5', {
      url: '/friend-detail5',
      views: {
        'tab-friends': {
          templateUrl: 'templates/friend-detail5.html',
          controller: 'DashCtrl'
        }
      }
    })
    
    .state('tab.friend-detail6', {
      url: '/friend-detail6',
      views: {
        'tab-friends': {
          templateUrl: 'templates/friend-detail6.html',
          controller: 'DashCtrl'
        }
      }
    })
    
    .state('tab.friend-detail7', {
      url: '/friend-detail7',
      views: {
        'tab-friends': {
          templateUrl: 'templates/friend-detail7.html',
          controller: 'DashCtrl'
        }
      }
    })
    
    .state('tab.friend-detail8', {
      url: '/friend-detail8',
      views: {
        'tab-friends': {
          templateUrl: 'templates/friend-detail8.html',
          controller: 'DashCtrl'
        }
      }
    })
    
    .state('tab.friend-detail9', {
      url: '/friend-detail9',
      views: {
        'tab-friends': {
          templateUrl: 'templates/friend-detail9.html',
          controller: 'DashCtrl'
        }
      }
    })
    
    .state('tab.friend-detail10', {
      url: '/friend-detail10',
      views: {
        'tab-friends': {
          templateUrl: 'templates/friend-detail10.html',
          controller: 'DashCtrl'
        }
      }
    })

  .state('tab.account', {
    url: '/account',
    views: {
      'tab-account': {
        templateUrl: 'templates/tab-account.html',
        controller: 'AccountCtrl'
      }
    }
  })
  
   .state('tab.dash-detail', {
    url: '/dash-detail',
    views: {
      'tab-dash': {
        templateUrl: 'templates/dash-detail.html',
        controller: 'DashCtrl'
      }
    }
  })
  
  .state('tab.dash1-detail', {
    url: '/dash1-detail',
    views: {
      'tab-dash': {
        templateUrl: 'templates/dash1-detail.html',
        controller: 'DashCtrl'
      }
    }
  })
  
  .state('tab.chat2-detail', {
    url: '/chat2-detail',
    views: {
      'tab-chats': {
        templateUrl: 'templates/chat2-detail.html',
        controller: 'DashCtrl'
      }
    }
  })
  
  .state('tab.chat3-detail', {
    url: '/chat3-detail',
    views: {
      'tab-chats': {
        templateUrl: 'templates/chat3-detail.html',
        controller: 'DashCtrl'
      }
    }
  })
  
  .state('tab.chat3-detail2', {
    url: '/chat3-detail2',
    views: {
      'tab-chats': {
        templateUrl: 'templates/chat3-detail2.html',
        controller: 'DashCtrl'
      }
    }
  })
  
  .state('tab.chat4-detail2', {
    url: '/chat4-detail2',
    views: {
      'tab-chats': {
        templateUrl: 'templates/chat4-detail2.html',
        controller: 'DashCtrl'
      }
    }
  })
  
  
  .state('tab.chat4-detail3', {
    url: '/chat4-detail3',
    views: {
      'tab-chats': {
        templateUrl: 'templates/chat4-detail3.html',
        controller: 'DashCtrl'
      }
    }
  })
  
  .state('tab.chat3-detail3', {
    url: '/chat3-detail3',
    views: {
      'tab-chats': {
        templateUrl: 'templates/chat3-detail3.html',
        controller: 'DashCtrl'
      }
    }
  })
  
  .state('tab.chat4-detail', {
    url: '/chat4-detail',
    views: {
      'tab-chats': {
        templateUrl: 'templates/chat4-detail.html',
        controller: 'DashCtrl'
      }
    }
  })
  
   .state('tab.chat5-detail', {
    url: '/chat5-detail',
    views: {
      'tab-chats': {
        templateUrl: 'templates/chat5-detail.html',
        controller: 'Chats5Ctrl'
      }
    }
  })
  
    .state('tab.chats42', {
    url: '/chats42',
    views: {
      'tab-chats': {
        templateUrl: 'templates/tab-chats42.html',
        controller: 'DashCtrl'
      }
    }
  })
  
  .state('tab.chats43', {
    url: '/chats43',
    views: {
      'tab-chats': {
        templateUrl: 'templates/tab-chats43.html',
        controller: 'DashCtrl'
      }
    }
  })
  
  .state('tab.chat41-detail', {
    url: '/chat41-detail',
    views: {
      'tab-chats': {
        templateUrl: 'templates/chat41-detail.html',
        controller: 'DashCtrl'
      }
    }
  })
  
    .state('tab.chat43-detail', {
    url: '/chat43-detail',
    views: {
      'tab-chats': {
        templateUrl: 'templates/chats43-detail.html',
        controller: 'Chats43Ctrl'
      }
    }
  })
  
    .state('tab.chats31', {
    url: '/chats31',
    views: {
      'tab-chats': {
        templateUrl: 'templates/tab-chats31.html',
        controller: 'DashCtrl'
      }
    }
  })
  
   .state('tab.chats31-detail', {
    url: '/chats31-detail',
    views: {
      'tab-chats': {
        templateUrl: 'templates/chats31-detail.html',
        controller: 'DashCtrl'
      }
    }
  })
  
  .state('tab.chats31-detail2', {
    url: '/chats31-detail2',
    views: {
      'tab-chats': {
        templateUrl: 'templates/chats31-detail2.html',
        controller: 'DashCtrl'
      }
    }
  })
  
   .state('tab.chats31-detail3', {
    url: '/chats31-detail3',
    views: {
      'tab-chats': {
        templateUrl: 'templates/chats31-detail3.html',
        controller: 'DashCtrl'
      }
    }
  });

  // if none of the above states are matched, use this as the fallback
  $urlRouterProvider.otherwise('/home/dash');

});
