﻿// Ionic Starter App
// angular.module is a global place for creating, registering and retrieving Angular modules
// 'starter' is the name of this angular module example (also set in a <body> attribute in index.html)
// the 2nd parameter is an array of 'requires'
// 'starter.services' is found in services.js
// 'starter.controllers' is found in controllers.js
//document.addEventListener("deviceready", onDeviceReady, false);
 //   function onDeviceReady() {
 //      window.open = cordova.InAppBrowser.open;
 //  }
angular.module('starter', ['ionic', 'starter.controllers', 'starter.services','ngCordova','starter.filters', 'starter.directive'])

.run(function($ionicPlatform, $rootScope, $location, $timeout, $ionicHistory, $cordovaToast) {
	$ionicPlatform.ready(function() {
		// Hide the accessory bar by default (remove this to show the accessory bar above the keyboard
		// for form input
		if (window.cordova && window.cordova.plugins.Keyboard) {
			cordova.plugins.Keyboard.hideKeyboardAccessoryBar(true);
		}
		if (window.StatusBar) {
			// org.apache.cordova.statusbar required
			StatusBar.styleDefault();
		}
		//启动极光推送服务
		// window.plugins.jPushPlugin.init();
		$rootScope.notShowRefresh=false;
		// 用于得到存储的用户 避免重复登录
		if (window.localStorage.getItem('userid') !== undefined && window.localStorage.getItem('userid')) {
			$rootScope.userId = window.localStorage.getItem('userid');
		}
	});
	//双击退出
	$ionicPlatform.registerBackButtonAction(function (e) {
		//判断处于哪个页面时双击退出
		if ($location.path() == '/tab/home') {
			if ($rootScope.backButtonPressedOnceToExit) {
				ionic.Platform.exitApp();
			} else {
				$rootScope.backButtonPressedOnceToExit = true;
				$cordovaToast.showShortBottom('再按一次退出系统');
				setTimeout(function () {
					$rootScope.backButtonPressedOnceToExit = false;
				}, 2000);
			}
		}
		else if ($ionicHistory.backView()) {
			$ionicHistory.goBack();
		} else {
			$rootScope.backButtonPressedOnceToExit = true;
			$cordovaToast.showShortBottom('再按一次退出系统');
			setTimeout(function () {
				$rootScope.backButtonPressedOnceToExit = false;
			}, 2000);
		}
		e.preventDefault();
		return false;
	}, 101);
	$rootScope.$on('$stateChangeStart', function (event, next) {
		//页面是否需要登录
		var needAuth = next.needAuth;
		if(next.url=='/comment/:id'||next.url=='/commentNews/:id'){
			$rootScope.showComment=true;
		}else{
			$rootScope.showComment=false;
		}
		//页面是否展示分享及收藏按钮
		// if(needAuth){//页面需要登录
		// var cookieToken=$rootScope.userId;
		// if(null ==cookieToken){
		// event.preventDefault();
		// var location=$location.absUrl();
		// console.log('account location ======> ', location);
		// if(null ==location || location.indexOf('/login')<0){
		// $rootScope.backURL=location;
		// window.location.href='#/loginFront/login';
		// }
		// }
		// }
		// console.log('root scope user id =====> ', $location.absUrl(), $rootScope.userId);
		// if(needAuth){//页面需要登录
		// var cookieToken=$rootScope.userId;
		// console.log('in scope user id =====> ', $rootScope.userId);
		// if(null == cookieToken){
		// event.preventDefault();
		// var location=$location.absUrl();
		// console.log('account location ======> ', location);
		// if(null ==location || location.indexOf('/login')<0){
		// $rootScope.backURL=location;
		// window.location.href='#/tab/login';
		// }
		// }
		// }
		$rootScope.showRegister = false;
		var showShareFav=next.showShareFav;
		if(showShareFav){
			$rootScope.showShareFav=true;
		}else{
			$rootScope.showShareFav=false;
		}
		// console.log('state change showShareFav is =====> ', $rootScope.showShareFav);
		$rootScope.ifShowShare=false;
		// window.location.href=$location.absUrl();
	});
})

.config(function($stateProvider, $urlRouterProvider,$ionicConfigProvider,$httpProvider) {

	$ionicConfigProvider.platform.ios.tabs.style('standard');
	$ionicConfigProvider.platform.ios.tabs.position('bottom');
	$ionicConfigProvider.platform.android.tabs.style('standard');
	$ionicConfigProvider.platform.android.tabs.position('bottom');

	$ionicConfigProvider.platform.ios.navBar.alignTitle('center');
	$ionicConfigProvider.platform.android.navBar.alignTitle('center');

	$ionicConfigProvider.platform.ios.backButton.previousTitleText('').icon('ion-ios-arrow-thin-left');
	$ionicConfigProvider.platform.android.backButton.previousTitleText('').icon('ion-android-arrow-back');

	$ionicConfigProvider.platform.ios.views.transition('ios');
	$ionicConfigProvider.platform.android.views.transition('android');
	$ionicConfigProvider.views.maxCache(0);
  // Ionic uses AngularUI Router which uses the concept of states
  // Learn more here: https://github.com/angular-ui/ui-router
  // Set up the various states which the app can be in.
  // Each state's controller can be found in controllers.js
  $stateProvider

  // setup an abstract state for the tabs directive
    //公共tab:头跟脚
    .state('tab', {
      url: "/tab",
      abstract: true,
      templateUrl: "templates/tabs.html",
      controller:'tabCtrl'
    })
    //开机页面
    .state('start', {
        url: "/start",
        templateUrl: "templates/start-app.html",
        controller: "StartCtrl"
    })
    //登录页面tab
    // .state('tabLogin', {
    //   url: "/loginFront",
    //   abstract: true,
    //   templateUrl: "templates/tab_login.html",
    //   controller:'tabLoginCtrl'
    // })
    // .state('tab.login', {
    //   url: "/login",
	  // views: {
		  // 'tab-account': {
			  // templateUrl: "templates/tab_login.html",
			  // controller:'tabLoginCtrl'
		  // }
	  // }
    // })
    //注册页面tab
    // .state('tabRegister', {
    //   url: "/tabReg",
    //   abstract: true,
    //   templateUrl: "templates/tab_register.html",
    //   controller:'tabLoginCtrl'
    // })

    //首页
    .state('tab.home', {
        url: '/home',
        views: {
          'home-dash': {
            templateUrl: 'templates/home-dash.html',
            controller: 'HomeCtrl'
        }
      }
    })
    //视频展播
    .state('tab.videoList', {
        url: '/videoList',
        views: {
          'home-dash': {
            templateUrl: 'templates/videoList.html',
            controller: 'vidoeListCtrl'
          }
        }
    })
    //公共list
    .state('tab.itemList', {
        url: '/itemList/:interFaceId/:pageNo/:pageSize',
        views: {
          'home-dash': {
            templateUrl: 'templates/scenicSpotList.html',
            controller: 'QueryListCtrl'
          }
        }
    })
	//卫生间/修理厂list
    .state('tab.restList', {
		url: '/restList/:interFaceId/:pageNo/:pageSize/:type',
        views: {
          'home-dash': {
            templateUrl: 'templates/rest-list.html',
            controller: 'QueryRestListCtrl'
          }
        }
    })
   //公共detail
    .state('tab.itemDetail', {
        url: '/itemDetail/:id',
        showShareFav:true,
          cache:false,
          reload:true,
        views: {
          'home-dash': {
            templateUrl: 'templates/scenicSpotDetail.html',
            controller: 'QueryDetailCtrl'
          }
        }
    })
	// 文章概要操作
	.state('tab.contSummary', {
		url: '/contSummary/:contId',
		showShareFav: false,
		cache: false,
		reload: true,
		views: {
			'home-dash': {
				templateUrl: 'templates/detailSummary.html',
				controller: 'SummaryCtrl'
			}
		}
	})
      //评论
      .state('tab.comment', {
          url: '/comment/:id',
          views: {
              'home-dash': {
                  templateUrl: 'templates/comment.html',
                  controlrer:'CommentCtrl'
              }
          }
      })

      //旅游局评论
      .state('tab.commentNews', {
          url: '/commentNews/:id',
          views: {
              'tab-friends': {
                  templateUrl: 'templates/comment.html',
                  controller:'CommentCtrl'
              }
          }
      })
      //收藏评论
      .state('tab.commentFav', {
          url: '/commentFav/:id',
          views: {
              'tab-account': {
                  templateUrl: 'templates/comment.html',
                  controller:'CommentCtrl'
              }
          }
      })
      //我的消息
      .state('tab.myMsg', {
          url: '/my-msg',
          views: {
              'tab-account': {
                  templateUrl: 'templates/my-msg.html',
                  controller: 'MyMsgCtrl'
              }
          }
      })
    //旅游局服务
    .state('tab.friends', {
        url: '/friends',
        views: {
          'tab-friends': {
            templateUrl: 'templates/tab-friends.html'
          }
        }
    })
	// 出行参考
	.state('tab.travelinfo', {
		url: '/travelinfo',
		views: {
			'home-dash': {
				templateUrl: 'templates/travel-info.html',
				controller: 'TravelInfoCtrl'
			}
		}
	})
	// 班车列表
	.state('tab.station', {
		url: '/station',
		views: {
			'home-dash': {
				templateUrl: 'templates/station-list.html',
				controller: 'StationListCtrl'
			}
		}
	})
	// 导游列表
	.state('tab.guides', {
		url: '/guides',
		views: {
			'tab-friends': {
				templateUrl: 'templates/guide_list.html',
				controller: 'GuideListCtrl'
			}
		}
	})
	// 旅行社列表
	.state('tab.travels', {
		url: '/travels',
		views: {
			'tab-friends': {
				templateUrl: 'templates/travel_list.html',
				controller: 'TravelListCtrl'
			}
		}
	})
     //景区公告详情
    .state('tab.newsDetail', {
        url: '/newsDetail/:id',
        views: {
          'tab-friends': {
            templateUrl: 'templates/newsDetail.html',
            controller: 'QueryDetailCtrl'
          }
        }
    })
      //攻略锦囊
    .state('tab.chats1', {
        url: '/chats1',
          views: {
              'home-dash': {
                  templateUrl: 'templates/tab-chats1.html'
              }
        }
    })
    //我的
    .state('tab.account', {
        url: '/account',
        cache: false,
        needAuth:true,
        views: {
          'tab-account': {
            templateUrl: 'templates/tab-account.html',
            controller: 'AccountCtrl'
          }
        }
    })
    .state('tab.policy', {
        url: '/policy',
        cache: false,
        needAuth:true,
        views: {
          'tab-account': {
            templateUrl: 'templates/privacy-policy.html',
            controller: 'policyCtrl'
          }
        }
    })
	// 修改密码
	.state('tab.changePwd', {
		url: '/changePwd',
		cache: false,
		needAuth: true,
		views: {
			'tab-account': {
				templateUrl: 'templates/tab_changePwd.html',
				controller: 'changePwdCtrl'
			}
		}
	})
	// 地图显示
	.state('tab.mapPage', {
		url: '/mapPage/:latitude/:longtitude/:isLine',
		views: {
			'home-dash': {
				templateUrl: 'templates/map_page.html',
				controller: 'MapCtrl'
			}
		}
	})
	// 地图标记显示
	.state('tab.mapMarkPage', {
		url: '/mapMarkPage',
		views: {
			'home-dash': {
				templateUrl: 'templates/map_marks.html',
				controller: 'MapMarkCtrl'
			}
		}
	})
	 //我的收藏
	.state('tab.viewFavorite', {
          url: '/viewFavorite',
          views: {
            'tab-account': {
              templateUrl: 'templates/fav.html',
              controller: 'viewFavoriteCtrl'
            }
          }
     })
	 //收藏详情
	 .state('tab.detailFavorite', {
        url: '/detailFavorite/:id',
        views: {
          'tab-account': {
            templateUrl: 'templates/scenicSpotDetail.html',
            controller: 'QueryDetailCtrl'
          }
        }
    })
      //注册
     // .state('tabRegister.register', {
     //      url: '/register',
     //      views: {
     //        'home-dash': {
     //          templateUrl: 'templates/register.html',
     //          controller: 'RegCtrl'
     //        }
     //      }
     // })
     .state('tab.register', {
          url: '/register',
          views: {
            'tab-account': {
              templateUrl: 'templates/register.html',
              controller: 'RegCtrl'
            }
          }
     })
     //登录
     // .state('tabLogin.login', {
     //      url: '/login',
     //      cache:false,
     //      views: {
     //        'home-dash': {
     //          templateUrl: 'templates/login.html',
     //          controller: 'LoginCtrl'
     //        }
     //      }
     // })
     .state('tab.login', {
          url: '/login',
          cache:false,
          views: {
            'tab-account': {
              templateUrl: 'templates/login.html',
              controller: 'LoginCtrl'
            }
          }
     })
	 // 忘记密码
	 .state('tab.forgetpwd', {
		url: '/forgetpwd',
		cache: false,
		views: {
			'home-dash': {
				templateUrl: 'templates/forget_pwd.html',
				controller: 'ForgetPwdCtrl'
			}
		}
	 })
    //景区人流
     .state('tab.chats43', {
          url: '/chats43',
          views: {
            'tab-friends': {
              templateUrl: 'templates/tab-chats43.html',
              controller: 'Dash43Ctrl'
            }
          }
     })
    //景区客流统计
     .state('tab.chat43-detail', {
         url: '/chat43-detail/:nameId',
         views: {
            'tab-friends': {
              templateUrl: 'templates/chats43-detail.html',
              controller: 'Chats43Ctrl'
            }
         }
     })
	 //景区客流统计
     .state('tab.home-chat43-detail', {
         url: '/home-chat43-detail/:nameId',
         views: {
            'home-dash': {
              templateUrl: 'templates/chats43-detail.html',
              controller: 'Chats43Ctrl'
            }
         }
     })
    //歌舞节庆列表
     .state('tab.chats31', {
         url: '/chats31',
         views: {
            'home-dash': {
                templateUrl: 'templates/tab-chats31.html',
                controller: 'DashCtrl'
            }
         }
     })
    //歌舞节庆详情
     .state('tab.chats31-detail', {
         url: '/chats31-detail/:chatsId',
         views: {
            'home-dash': {
              templateUrl: 'templates/chats31-detail.html',
              controller: 'DashDetailCtrl'
            }
         }
     })
    //随身导游
     .state('tab.takeTravel', {
          url: '/takeTravel',
          views: {
            'home-dash': {
                templateUrl: 'templates/tab-takeTravel.html',
                controller: 'takeTravelCtrl'
            }
          }
     })
      //资讯公告列表
      .state('tab.chats3-detail4', {
        url: '/chats3-detail4',
        views: {
          'tab-friends': {
            templateUrl: 'templates/chat3-detail4.html',
            controller: 'NewsCtrl'
          }
        }
      })
      //国家公园列表
     .state('tab.parkList', {
         url: '/parkList',
         views: {
            'home-dash': {
                templateUrl: 'templates/nationalParkList.html',
                controller: 'ParkCtrl'
            }
         }
     })
    //国家公园详情
     .state('tab.parkDetail', {
         url: '/parkDetail/:parkId',
         views: {
            'home-dash': {
                templateUrl: 'templates/parkDetail.html',
                controller: 'ParkDetailCtrl'
            }
         }
     })
    //精品线路
    .state('tab.routeList', {
        url: '/routeList',
        views: {
          'home-dash': {
            templateUrl: 'templates/routeList.html',
            controller: 'RouteCtrl'
          }
        }
    })
    //精品线路详情
     .state('tab.routeDetail', {
        url: '/routeDetail/:routeId',
        views: {
          'home-dash': {
            templateUrl: 'templates/routeDetail.html',
            controller: 'RouteDetailCtrl'
          }
        }
      })
    //跳转到统一的错误页面20151225
     .state('tab.errorList', {
          url: '/errorList',
          views: {
            'home-dash': {
                templateUrl: 'templates/errorList.html',
                controller: 'ErrorCtrl'
            }
          }
     })
	 //跳转到注册成功页面
	 .state('tab.regSuccess', {
          url: '/regSuccess/:emailId',
          views: {
            'home-dash': {
                templateUrl: 'templates/register-success.html',
                controller: 'RegSuccessCtrl'
            }
          }
     })
  // if none of the above states are matched, use this as the fallback
  $urlRouterProvider.otherwise('/tab/home');
   // $urlRouterProvider.otherwise('/start');

});
